#include "api.h"
#include <iostream>
#include <vector>
using namespace std;

// Fonction appelée au début de la partie.
void partie_init(void)
{
    // TODO
    
}

// Fonction appelée à chaque tour.
void jouer_tour(void)
{
    // TODO
    // int me = moi();
    // vector<troupe> troupes = troupes_joueur(me);
    // position target = {30, 30, 0};
    // vector<direction> path = trouver_chemin(troupes.at(0).maman, target);

    // for(int i = 0; i < 5; i++){
    //     avancer(troupes.at(0), path.at(i));
    // }
    // avancer(troues.at())    

}

// Fonction appelée à la fin de la partie.
void partie_fin(void)
{
    // TODO
}


int main(){
    
}

